Bug 668459 - "wallaby load" help message is unclear
"wallaby load" help message is unclear
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: wallaby-utils (Show other bugs)
1.3
Unspecified Unspecified
low Severity medium
: 1.3.2
: ---
Assigned To: Will Benton
Martin Kudlej
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-10 10:19 EST by Will Benton
Modified: 2011-02-15 07:17 EST (History)
2 users (show)

See Also:
Fixed In Version: wallaby-0.10.2-1
Doc Type: Bug Fix
Doc Text:
The help message for the "wallaby load" subcommand, accessed by running "wallaby help load", did not indicate that it would read a snapshot file from standard input if no file name was provided on the command line. The help message has been clarified in this update.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-15 07:17:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Will Benton 2011-01-10 10:19:48 EST
Description of problem:

The help message for "wallaby load" is not clear that if a filename is omitted, the command will read from standard input.

Version-Release number of selected component (if applicable):

0.9.18 through 0.10.0

How reproducible:

run "wallaby help load" with no other arguments.

Actual results:

Usage:  wallaby load SNAPFILE
Loads a wallaby snapshot from SNAPFILE..
    -h, --help                       displays this message
    -a, --activate                   attempt to activate config after loading
    -q, --quiet                      do not provide progress on load feedback
    -v, --verbose                    provide more progress on load feedback

Expected results:

Usage:  wallaby load [SNAPFILE]
Loads a wallaby snapshot from SNAPFILE or standard input if no filename is given.
    -h, --help                       displays this message
    -a, --activate                   attempt to activate config after loading
    -q, --quiet                      do not provide progress on load feedback
    -v, --verbose                    provide more progress on load feedback

Additional info:
Comment 1 Will Benton 2011-01-14 18:38:29 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
C:  The "wallaby load" command takes input either from a filename or from standard input.  The help message for the "wallaby load" command did not indicate that it would read a snapshot file from standard input if no filename was provided on the command line.
C:  This may have been confusing for some users.
F:  The on-line help now explicitly indicates that if no filename is provided, the wallaby load command will read from standard input.
R:  The command's on-line help now more completely describes the command's interface, eliminating a potential source of confusion.
Comment 3 Martin Kudlej 2011-01-19 08:46:58 EST
Tested on RHEL 5.6 x i386/x86_64 with:
condor-wallaby-base-db-1.4-5.el5
wallaby-utils-0.9.18-2.el5
condor-wallaby-tools-3.6-6.el5
ruby-wallaby-0.9.18-2.el5
python-wallabyclient-3.6-6.el5
condor-wallaby-client-3.6-6.el5
wallaby-0.9.18-2.el5

and the string isn't there.
Comment 4 Martin Kudlej 2011-01-31 05:43:46 EST
Tested on RHEL 5.6 x i386/x86_64 with:
condor-wallaby-tools-3.9-2.el5
wallaby-0.10.4-2.el5
condor-wallaby-client-3.9-2.el5
wallaby-utils-0.10.4-2.el5
python-wallabyclient-3.9-2.el5
condor-wallaby-base-db-1.5-2.el5
ruby-wallaby-0.10.4-2.el5

and the string is:
"Loads a wallaby snapshot from a file or from standard input."

Is that right?
Comment 5 Will Benton 2011-01-31 16:15:11 EST
I think the text is acceptable.  It should be clear from the brackets around SNAPFILE that the filename is optional, and it should be obvious in context that if no filename is given, that it will read from stdin.
Comment 6 Martin Kudlej 2011-02-01 03:27:19 EST
Ok. --> VERIFIED
Comment 7 Douglas Silas 2011-02-09 13:22:40 EST
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1,4 +1 @@
-C:  The "wallaby load" command takes input either from a filename or from standard input.  The help message for the "wallaby load" command did not indicate that it would read a snapshot file from standard input if no filename was provided on the command line.
+The help message for the "wallaby load" subcommand, accessed by running "wallaby help load", did not indicate that it would read a snapshot file from standard input if no file name was provided on the command line. The help message has been clarified in this update.-C:  This may have been confusing for some users.
-F:  The on-line help now explicitly indicates that if no filename is provided, the wallaby load command will read from standard input.
-R:  The command's on-line help now more completely describes the command's interface, eliminating a potential source of confusion.
Comment 8 errata-xmlrpc 2011-02-15 07:17:31 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0217.html

Note You need to log in before you can comment on or make changes to this bug.